<script>
import config from "../../config";
import { required, email, sameAs } from "vuelidate/lib/validators";
import { authService } from "../../services";
import { error_message, success_message } from "../../Helper/helper"
/**
 * Login component
 */

export default {
  data() {
    return {
        config: config,
        error: "",
        email:'',

    };
  },
  validations: {
    email: {
        required,
        email
    },
  },
  mounted(){
  },
  methods: {
    submit() {
      this.$v.email.$touch();
      if (this.$v.email.$invalid) {
        return;
      } else {
        authService.forgotPassword({'email':this.email}).then((responce) => {
          if (responce.data.code == 200) {
                success_message(responce.data.message);
            // this.$router.push({ name: 'login' });
          }else{
            error_message(responce.data.message)
          }
        })
      }
    },
  },
};
</script>

<template>
  <div>
    <div class="account-pages my-5 pt-5">
      <div class="container">
        <div class="row justify-content-center">
            <div class="col-md-8 col-lg-6 col-xl-5 login-main">
                <div class="card overflow-hidden">
                  <div class="bg-soft-primary">
                    <div class="row">
                      <div class="col-12 text-center">
                        <div class=" p-4 ">
                            <h3 class="text-primary">{{ trans.get('__JSON__.Reset Password') }}</h3>
                            <p class="font-size-17">{{ trans.get('__JSON__.Re-Password with Ressto.') }}</p>
                        </div>
                      </div>
                    </div>
                  </div>
                    <div class="card-body pt-0 ">
                      <!-- <div>
                        <div class="avatar-md profile-user-wid mb-4 avatar-logo-main">
                          <span class="avatar-title rounded-circle bg-light">
                            <img :src="config.applogo" alt />
                          </span>
                        </div>
                      </div> -->
                      <b-form class="p-2 mt-4" @submit.prevent="submit">
                          <div class="alert alert-danger" v-show="this.error">{{ this.error }}</div>
                          <slot />
                          <!-- restaurant name -->
                          <b-form-group
                          id="input-group-3"
                          label-for="input-3"
                          >
                              <b-form-input
                                  id="input-3"
                                  name="restaurant_name"
                                  ref="restaurant_name"
                                  v-model="$v.email.$model"
                                  type="email"
                                  :placeholder="this.trans.get('__JSON__.Enter email')"
                                  :class="{ 'is-invalid':  $v.email.$error }"
                              ></b-form-input>
                              <div v-if="$v.email.$error" class="invalid-feedback">
                                  <span
                                  v-if="!$v.email.required"
                                  >{{ trans.get('__JSON__.Please enter email') }}</span>
                                  <span
                                  v-if="!$v.email.email"
                                  >{{ trans.get('__JSON__.This value should be a valid email') }} Ex:-xxx@xxx.xxx</span>
                              </div>
                          </b-form-group>

                          <div>
                              <button
                                  class="btn btn-primary btn-block"
                                  @keyup.enter="submit"
                              >{{ trans.get('__JSON__.Reset') }}</button>
                          </div>
                          <div class="mt-1">
                              <p>
                                  {{trans.get('__JSON__.Remember It ?')}} 
                                  <router-link :to="{name:'login'}">{{ trans.get('__JSON__.Sign In here') }}</router-link>
                              </p>
                          </div>
                      </b-form>
                    </div>
                </div>
            </div>
        </div>
      </div>
    </div>
  </div>
</template>
